<?php
include "../../inc/inc.koneksi.php";
session_start();

$table="faktur_pb";

date_default_timezone_set('Asia/Jakarta');

$kode	  	=$_POST['kode'];
$tanggal  	=$_POST['tanggal'];
$kodesup	=$_POST['kodesup'];
$namasup	=$_POST['namasup'];
$kodecab	=$_POST['kodecab'];
$nomorfk  	=$_POST['nomorfk'];
$tanggaljt	=$_POST['tanggaljt'];
$total	  	=$_POST['total'];
$potong   	=$_POST['potong'];
$bayar	  	=$_POST['bayar'];
$kurang		=$_POST['kurang'];
$user	  	=$_SESSION['namauser'];
$jam	    =date('H:i:s');

$sql		= mysql_query("SELECT * FROM interface");
$r 			= mysql_fetch_assoc($sql);
$kas 		= $r['kas'];
$persed 	= $r['persed'];
$utdg 		= $r['hutang_dg'];
$potbeli	= $r['pot_beli'];
$labapb		= $r['laba_pb'];
$labrug		= $r['laba_rugi'];
$nosubps	= substr($persed,0,3);
$nosubpb	= substr($potbeli,0,3);
$nosubut	= substr($utdg,0,3);
$noutdg 	= $utdg.$kodesup;
$nosubks	= substr($kas,0,3);
$nosublpb	= substr($labapb,0,3);
$nosublr	= substr($labrug,0,3);

$sql= mysql_query("SELECT kode_pb,no_urut FROM $table WHERE kode_pb='$kode' GROUP BY kode_pb");
$r	= mysql_fetch_assoc($sql);
$nourut =$r['no_urut'];

mysql_query("UPDATE $table SET potongan='$potong',bayar='$bayar',kurang='$kurang' WHERE kode_pb='$kode' AND no_urut='$nourut'");

$sql = mysql_query("SELECT * FROM $table WHERE kode_pb='$kode' AND posting='' ORDER BY no_urut");
$row=mysql_num_rows($sql);
if($row>0){
	while ($r=mysql_fetch_array($sql)){
	    $kodeopb=$r['kode_opb'];
		$nourut	=$r['no_urut'];
		$kodest	=$r['kode_st'];
		$jmlunit=$r['jml_unit'];
		$hgbeli	=$r['hg_beli'];
		$hgjual	=$r['hg_jual'];
		$jumlah	=$r['jumlah'];
        $expired=$r['expired'];

		$sql1 = mysql_query("SELECT * FROM stock WHERE kode_st='$kodest' AND kode_cab='01'");
		$r1	  = mysql_fetch_assoc($sql1);
		
		$tstok= $r1['jml_stok']+$r1['jml_stokb'];
		$nilstok=$tstok*$r1['hg_beli'];
		$stok_akhir=$r1['jml_stokb']+$jmlunit;

		if($tstok>0)
			$hb_rata=($nilstok+$jumlah)/($tstok+$jmlunit);
		else
			$hb_rata=$hgbeli;
		
		if($hb_rata<0) $hb_rata=$hgbeli;
		
		mysql_query("UPDATE stock SET jml_stokb='$stok_akhir',expired='$expired' WHERE kode_st='$kodest' AND kode_cab='01'");
		mysql_query("UPDATE stock SET hg_beli='$hb_rata',hb_akhir='$hgbeli',kode_sp='$kodesup',nama_sp='$namasup' WHERE kode_st='$kodest'");
		
		mysql_query("UPDATE sopb SET nofak='$nomorfk',tgl_kirim='$tanggal' WHERE kode_opb='$kodeopb' AND kode_st='$kodest'");
			
		mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,gudang,keterangan,masuk,keluar,harga,user,jam,batal) VALUES('$kode','PBL','$tanggal','$nomorfk','$nourut','$kodest','Gudang','Pembelian dari $namasup','$jmlunit','0','$hgbeli','$user','$jam','')");
	}
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$total WHERE noakun='$persed'");

	if(!$potong==0){
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$potong WHERE noakun='$potbeli'");
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$potong WHERE noakun='$labapb'");
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$potong WHERE noakun='$labrug'");
	}

	if(!$bayar==0)	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$bayar WHERE noakun='$kas'");

	if(!$kurang==0){
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$kurang WHERE noakun='$utdg'");
		mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd+$kurang WHERE noakun='$noutdg'");
		mysql_query("INSERT INTO hutang (kode_sp,nama,nofak,tanggal,kode_cab,jml_awal,jumlah,tanggal_jt,lastupdate) VALUES('$kodesup','$namasup','$nomorfk','$tanggal','$kodecab','0','$kurang','$tanggaljt',now())");
	}

	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kode','PBL','$tanggal','$nomorfk','01','$nourut','$persed','$nosubps','','','$total','0','Beli dari $namasup','$user','$jam')");

	if(!$potong==0){
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kode','PBL','$tanggal','$nomorfk','01','$nourut','$potbeli','$nosubpb','','','0','$potong','Potongan pembelian $namasup','$user','$jam')");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kode','PBL','$tanggal','$nomorfk','01','$nourut','$labapb','$nosublpb','','','0','$potong','Potongan pembelian $namasup','$user','$jam')");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kode','PBL','$tanggal','$nomorfk','01','$nourut','$labrug','$nosublr','','','$potong','0','Potongan pembelian $namasup','$user','$jam')");
	}

	if(!$bayar==0) mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kode','PBL','$tanggal','$nomorfk','01','$nourut','$kas','$nosubks','','','0','$bayar','Pembelian ke $namasup','$user','$jam')");

	if(!$kurang==0) mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kode','PBL','$tanggal','$nomorfk','01','$nourut','$utdg','$nosubut','$noutdg','','0','$kurang','Kurang bayar ke $namasup','$user','$jam')");

	mysql_query("UPDATE faktur_pb SET posting='P' WHERE kode_pb='$kode'");
}
?>